## gnome-session 3.9.90

=== debian/changelog ===
gnome-session (3.9.90-0ubuntu3) saucy; urgency=low

  * debian/patches/git_fix_wrong_unref_call.patch: 
    - backport fix from git, don't unref the wrong object (lp: #1196163)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 11 Oct 2013 15:45:25 +0200

gnome-session (3.9.90-0ubuntu2) saucy; urgency=low

  * debian/patches/50_ubuntu_sessions.patch:
    - Set X-LightDM-DesktopName to GNOME for GNOME session (LP: #1212408)

 -- Tim Lunn <tim@feathertop.org>  Tue, 03 Sep 2013 12:08:46 +1000

gnome-session (3.9.90-0ubuntu1) saucy; urgency=low

  * New upstream release.
    - Use llvmpipe for Intel IGD instead of the Poulsbo driver
  * debian/50-ubuntu.conf, debian/gnome-session.install:
    - Drop lightdm.conf.d override since this has been moved to
      ubuntu-settings
  * debian/patches/20_hide_nodisplay.patch:
    - Dropped, applied in new version

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 26 Aug 2013 08:47:31 -0400

gnome-session (3.8.2.1-1ubuntu5) saucy; urgency=low

  * debian/patches/50_ubuntu_sessions.patch:
    - Set X-LightDM-DesktopName to Unity for Ubuntu session (LP: #1212408)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 23 Aug 2013 15:08:00 +1200

gnome-session (3.8.2.1-1ubuntu4) saucy; urgency=low

  * debian/patches/22_support_autostart_delay.patch: 
    - don't segfault when an autostarted desktop hits an error (lp: #1193730)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 25 Jun 2013 17:07:05 +0200

gnome-session (3.8.2.1-1ubuntu3) saucy; urgency=low

  * debian/50-ubuntu.conf:
  * debian/postinst:
  * debian/postrm:
    - Use new lightdm.conf.d file to set ubuntu as the default session.
      Deprecates lightdm-set-defaults method.

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 24 Jun 2013 11:06:53 +1200

gnome-session (3.8.2.1-1ubuntu2) saucy; urgency=low

  [ Tim Lunn ]
  * 22_support_autostart_delay.patch:
    - Refreshed and re-enabled

  [ Jeremy Bicha ]
  * Restore gnome-session.postinst, accidentally left out of previous
    upload

 -- Tim Lunn <tim@feathertop.org>  Thu, 20 Jun 2013 11:31:00 +1000

gnome-session (3.8.2.1-1ubuntu1) saucy; urgency=low

  * Merge with Debian (LP: #1185873, #1191290). Remaining changes:
   - debian/control.in:
     + gnome-session
       - Don't depend on gnome-shell
       - Drop the Recommends on gnome-power-manager, the code gnome-session
         uses has moved to gnome-settings-daemon
       - Recommend session-migration
     + gnome-session-fallback
       - Recommend cups-pk-helper for gnome-session-fallback so that
         System Settings>Printers works
   - Use logind for session tracking and shutdown/restart
   - Add upstart user session
   - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
      Moved registering gnome-session binary as a session manager to 
      gnome-session-bin package
   - debian/postinst, postrm:
      set the default lightdm session as ubuntu if none already set
   - don't install defaults.list (installed by desktop-file-utils in ubuntu):
      debian/gnome-session-common.dirs and gnome-session-common.install
   - debian/patches/20_hide_nodisplay.patch:
      Don't show applications in the Sessions properties dialog that have
      NoDisplay=true.
   - debian/patches/22_support_autostart_delay.patch:
      Bugzilla patch to support adding a delay to autostart apps, using
      a "X-GNOME-Autostart-Delay" key in the desktop file
   - debian/patches/50_ubuntu_sessions.patch:
      + Add Ubuntu session
      + gnome-shell.desktop adds --session=gnome now that the "ubuntu" session
        is the default. Use TryExec to test if gnome-shell is installed.
   - debian/patches/51_remove_session_saving_from_gui.patch:
      add GNOME_SESSION_SAVE environment variable for people wanting to
      use the save session still, knowing that it can break your system
      if used unwisely (LP: #771896)
   - debian/patches/52_xdg_current_desktop.patch:
      Set XDG_CURRENT_DESKTOP inside gnome-session based on a
      new key 'DesktopName' in gnome-session .desktop files.
   - debian/patches/53_add_sessionmigration.patch, debian/control:
      recommends and launch the session-migration if present at the start
      of the session. This sync tool is running different session migration
      scripts that can be provided in various desktop packages.
   - debian/patches/95_dbus_request_shutdown.patch:
      Add "RequestShutdown" and "RequestReboot" DBus methods to allow other
      applications to shutdown or reboot the machine via the session manager.
    - debian/patches/103_kill_the_fail_whale.patch:
      Kill the Fail Whale as it tends to be more annoying than helpful
  * Refreshed patches as necessary
  * Dropped patches applied upstream or no longer applicable:
    - 00git_logind_test.patch
    - 04_consolekit_init_upower.patch
    - 04_fallback_warning_notify.patch
    - 12_no_gdm_fallback.patch
    - 80_new_upstream_session_dialog.patch
    - 96_no_catch_sigsegv.patch
    - 97_dont_blacklist_llvmpipe.patch
    - 101_screen_lock_on_suspend.patch
    - 104_dont_show_fallback_warning.patch
  * Completely drop gnome-session-fallback (moved to gnome-panel source):
    - debian/gnome-session-fallback.*
    - debian/gnome-wm.desktop
    - debian/patches/00_revert_remove_fallback_session.patch
    - debian/patches/01_gnome-wm.patch
    - debian/patches/02_fallback_desktop.patch
    - debian/patches/03_fallback_desktop_makefile.patch
    - debian/scripts/
  * Thanks Rico Tzschichholz, Tim Lunn, and Robert Ancell for helping with
    this update!

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 19 Jun 2013 10:37:29 -0400

gnome-session (3.8.2.1-1) experimental; urgency=low

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 25 May 2013 17:03:53 +0200

gnome-session (3.7.92-1) experimental; urgency=low

  * New upstream release (3.7.92)
  * debian/patches/14_hide_session_properties_help.patch:
    + Removed, fixed upstream
  * debian/patches/01_gnome-wm.patch

