=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
include /usr/share/gnome-pkg-tools/1/rules/patch-translations.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS += --localstatedir=/var/lib \
                             --enable-ipv6 \
                             --enable-systemd

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

install/gnome-session::
	install -m 644 -D debian/gnome-session.user-session.upstart debian/gnome-session/usr/share/upstart/sessions/gnome-session.conf
