## gnome-session 3.9.90-0ubuntu12+7.0trisquel2

=== debian/changelog ===
gnome-session (3.9.90-0ubuntu12+7.0trisquel2) belenos; urgency=medium

  * Adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 08 Aug 2014 07:39:18 +0200

gnome-session (3.9.90-0ubuntu12) trusty; urgency=medium

  * gnome-session-bin.user-session.upstart: Use XDG_CURRENT_DESKTOP
    as the instance specifier for gnome-session upstart jobs, since 
    other sessions apart from ubuntu will need to use u-s-d (LP: #1224217)

 -- Tim Lunn <tim@feathertop.org>  Wed, 12 Mar 2014 16:27:59 +1100

gnome-session (3.9.90-0ubuntu11) trusty; urgency=medium

  * debian/50-ubuntu.conf:
    - Add missing file

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 20 Feb 2014 21:04:42 +1300

gnome-session (3.9.90-0ubuntu10) trusty; urgency=medium

  * debian/control:
    - gnome-session depends on gnome-settings-daemon, ubuntu-session depends on
      unity-settings-daemon
    - Correctly mark ubuntu-session as replacing files in the old gnome-session
  * debian/50-ubuntu.conf:
    - Install LightDM configuration (moved from ubuntu-settings package)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 20 Feb 2014 20:28:03 +1300

gnome-session (3.9.90-0ubuntu9) trusty; urgency=medium

  * Drop the depends from gnome-session to ubuntu-session.  The new
    ubuntu-session package has been added to the desktop seed, so the
    transitional dependency should be removed so that unity is not pulled in
    unnecessarily on other flavors that depend on gnome-session.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 19 Feb 2014 23:29:17 -0800

gnome-session (3.9.90-0ubuntu8) trusty; urgency=medium

  * Split ubuntu-session out of gnome-session. Make gnome-session temporarily
    depend on ubuntu-session so users automatically keep the Ubuntu session
    configuration installed. We can drop this once all users are sure to have
    migrated. At the same time we can make ubuntu-session depend on
    unity-settings-daemon and compiz.
  * Move the upstart job from gnome-session to gnome-session-bin
  * debian/patches/50_ubuntu_sessions.patch:
    - The ubuntu gnome-session requires unity-settings-daemon, not
      gnome-settings-daemon (LP: #1277487)

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 17 Feb 2014 16:33:30 +1300

gnome-session (3.9.90-0ubuntu7) trusty; urgency=medium

  * debian/control:
    - Depend on gnome-settings-daemon-schemas so can work with
      unity-settings-daemon (LP: #1277487)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 14 Feb 2014 17:28:00 +1300

gnome-session (3.9.90-0ubuntu6) trusty; urgency=medium

  * Make gnome-session an instance job, by default only one is started,
    but that means that other jobs can conditionally start on a given
    gnome session type, or pre-empt blocking starting it.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 07 Feb 2014 13:07:42 +0000

gnome-session (3.9.90-0ubuntu5) trusty; urgency=medium

  * Don't run session-migration if we're in an upstart user session as the
    session job will have done that for us. (LP: #1265528)

 -- Iain Lane <iain.lane@canonical.com>  Thu, 09 Jan 2014 12:04:10 +0000

gnome-session (3.9.90-0ubuntu4) trusty; urgency=low

  [ James Hunt ]
  * debian/gnome-session.user-session.upstart: Unset Upstart event
    variables to avoid stop(8) from stopping the users session (LP: #1256262).

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Wed, 04 Dec 2013 11:49:17 +0000
