## gnome-session 3.9.90-0ubuntu12.1+7.0trisquel2

=== debian/changelog ===
gnome-session (3.9.90-0ubuntu12.1+7.0trisquel2) belenos; urgency=medium

  * Adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 16 Apr 2015 11:00:22 +0000

gnome-session (3.9.90-0ubuntu12.1) trusty; urgency=medium

  [ Tim Lunn ]
  * debian/patches/103_kill_the_fail_whale.patch: fix logic gnome-session
    should die at this point. This will fix LP: #1236749,
    LP: #1385572 and possibly various other strange bugs

  [ Ryan Tandy ]
  * debian/patches/git_add_disable_acceleration_option.patch: Backport
    upstream patch to add a --disable-acceleration-check command-line option.
    (LP: #1251281)
  * debian/gnome-session-bin.user-session.upstart: Disable acceleration check
    when launching a GNOME Flashback (Metacity) session.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 21 Mar 2015 15:49:36 +0300
