## gnome-session 3.14.0

=== debian/changelog ===
gnome-session (3.14.0-2ubuntu5) vivid; urgency=medium

  * In 3.14.0-2ubuntu1, RequiredComponents of ubuntu (unity)'s session file
    incorrectly gained compiz. This caused compiz to be started by
    gnome-session and not to be managed by upstart in user sessions meaning,
    for example, that it won't be restarted correctly in the event of a crash.
    (LP: #1449959)

 -- Iain Lane <iain.lane@canonical.com>  Wed, 29 Apr 2015 12:01:55 +0100

gnome-session (3.14.0-2ubuntu4) vivid; urgency=medium

  [ Tim Lunn ]
  * debian/patches/103_kill_the_fail_whale.patch: fix logic gnome-session
    should die at this point. This will fix LP: #1236749,
    LP: #1385572 and possibly various other strange bugs

  [ Ryan Tandy ]
  * debian/patches/git_add_disable_acceleration_option.patch: Import upstream 
    patch to add a --disable_acceleration_check command-line option.
    (LP: #1251281)
  * debian/gnome-session-bin.user-session.upstart: Disable acceleration check 
    when launching a GNOME Flashback (Metacity) session.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 20 Mar 2015 09:35:59 +0300

gnome-session (3.14.0-2ubuntu3) vivid; urgency=medium

  * Split wayland session into gnome-session-wayland (LP: #247500)
    - control.in: add gnome-session-wayland package and depend on xwayland
    - gnome-session-wayland.install: install wayland session

 -- Tim Lunn <tim@feathertop.org>  Fri, 09 Jan 2015 16:33:51 +1100

gnome-session (3.14.0-2ubuntu2) vivid; urgency=medium

  * debian/control.in: Remove circular gnome-shell dep to ease upgrades.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 31 Oct 2014 18:01:05 -0600

gnome-session (3.14.0-2ubuntu1) vivid; urgency=medium

  * Merge from Debian, Remaining Changes:
    - debian/control.in: 
      + Recommend session-migration
      * don't depend on xwayland
    - debian/gnome-session.install: Don't install wayland session for now
      since its not yet possible to run it
    - Split ubuntu-session out of gnome-session.
    - Add upstart user session
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to 
       gnome-session-bin package
    - don't install defaults.list (installed by desktop-file-utils in ubuntu):
       debian/gnome-session-common.dirs and gnome-session-common.install
   - debian/patches/22_support_autostart_delay.patch:
      Bugzilla patch to support adding a delay to autostart apps, using
      a "X-GNOME-Autostart-Delay" key in the desktop file
   - debian/patches/50_ubuntu_sessions.patch:
      + Add Ubuntu session
      + gnome-shell.desktop adds --session=gnome now that the "ubuntu" session
        is the default. Use TryExec to test if gnome-shell is installed.
   - debian/patches/51_remove_session_saving_from_gui.patch:
      add GNOME_SESSION_SAVE environment variable for people wanting to
      use the save session still, knowing that it can break your system
      if used unwisely (LP: #771896)
   - debian/patches/52_xdg_current_desktop.patch:
      Set XDG_CURRENT_DESKTOP inside gnome-session based on a
      new key 'DesktopName' in gnome-session .desktop files.
   - debian/patches/53_add_sessionmigration.patch, debian/control:
      recommends and launch the session-migration if present at the start
      of the session. This sync tool is running different session migration
      scripts that can be provided in various desktop packages.
   - debian/patches/95_dbus_request_shutdown.patch:
      Add "RequestShutdown" and "RequestReboot" DBus methods to allow other
      applications to shutdown or reboot the machine via the session manager.
    - debian/patches/103_kill_the_fail_whale.patch:
      Kill the Fail Whale as it tends to be more annoying than helpful
  * debian/patches/revert_remove_gnome_session_properties.patch
  * Dropped Changes:
  * debian/patches/52_xdg_current_desktop.patch: Dropped Upsream includes a
    fallback to set this now. 
  * Remove patches that have been disabled since 3.8

 -- Tim Lunn <tim@feathertop.org>  Fri, 31 Oct 2014 09:19:52 +0100

gnome-session (3.14.0-2) unstable; urgency=medium

  * Update debian/defaults.list to catch up with times:
    - Drop swfdec-player which is long gone.
    - Update File-Roller to new .desktop file name.
    - Update GEdit to new .desktop file name.
    - Update Font Viewer to new .desktop file name.
    - Update Nautilus to new .desktop file name.
    - Update Totem to new .desktop file name.
    (Closes: #763595)
  Note: This breaks the defaults for those who install the new
        gnome-session-common and keep their << 3.14 application
        packages (partial upgrades).

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 01 Oct 2014 16:11:51 +0200

gnome-session (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 22 Sep 2014 20:42:37 +0200

gnome-session (3.13.3-1) experimental; urgency=medium

  [ Andreas Henriksson ]
  * New upstream development release.

  [ Josselin Mouette ]
  * Fix typos in defaults.list. Closes: #759429.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 05 Sep 2014 15:09:51 -0700

gnome-session (3.12.1-4) experimental; urgency=medium

  * gnome-session: Install wayland session files.
  * gnome-session-bin: add xwayland dependency on linux-any.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 02 Aug 2014 17:22:46 +0200

gnome-session (3.12.1-3) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Recommends libpam-systemd instead of systemd on linux
    architectures and add recommends against consolekit on non linux arch.
    Also move the Recommends to the arch any package.

  [ Andreas Henriksson ]
  * Drop build-dependency on libupower-glib-dev (<< 0.99.0) [!linux-any]
    - This can no longer be fulfilled anyway.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 14 Jul 2014 23:57:59 +0200


