=== debian/control ===
--- 
+++ 
@@ -7,25 +7,20 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Sjoerd Simons <sjoerd@debian.org>
-Standards-Version: 3.9.3
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Standards-Version: 3.9.5
 Build-Depends: cdbs (>= 0.4.41),
                dh-autoreconf,
                debhelper (>= 8),
                gnome-pkg-tools (>= 0.13),
                gnome-common,
                intltool (>= 0.40.6),
-               libglib2.0-dev (>= 2.34.0),
+               libglib2.0-dev (>= 2.39.90),
                libgtk-3-dev (>= 2.90.7),
-               libupower-glib-dev (>= 0.9.0),
                libdbus-glib-1-dev (>= 0.76),
                libjson-glib-dev (>= 0.10),
-               libnotify-dev (>= 0.7),
-               libgnome-desktop-3-dev (>= 3.7.90),
+               libgnome-desktop-3-dev (>= 3.9.91),
                libsm-dev,
-               libsystemd-daemon-dev,
-               libsystemd-journal-dev,
-               libsystemd-login-dev (>= 183),
                libice-dev,
                libx11-dev,
                libxt-dev,
@@ -37,7 +32,10 @@
                libxrender-dev,
                xmlto,
                xsltproc,
-               xtrans-dev
+               xtrans-dev,
+               libsystemd-login-dev (>= 183) [linux-any],
+               libsystemd-daemon-dev [linux-any],
+               libsystemd-journal-dev [linux-any]
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-desktop/gnome-session/ubuntu
 
 Package: gnome-session
@@ -69,14 +67,55 @@
  session, based on the GNOME Shell. It can be started from a display
  manager such as GDM, and requires 3D acceleration to work properly.
 
+Package: gnome-session-wayland
+Architecture: linux-any
+Depends: ${misc:Depends},
+         gnome-settings-daemon (>= 3.0),
+         gnome-session-bin (>= ${binary:Version}),
+         gnome-session-bin (<< ${gnome:NextVersion}),
+         gnome-session-common (= ${source:Version}),
+         xwayland
+Recommends: session-migration
+Breaks: gnome-session (<< 3.14.0-2ubuntu3~vivid2)
+Replaces: gnome-session (<< 3.14.0-2ubuntu3~vivid2)
+Provides: x-session-manager
+Description: GNOME Session Manager - GNOME 3 session
+ The GNOME Session Manager is in charge of starting the core components
+ of the GNOME desktop, and applications that should be launched at
+ login time. It also features a way to save and restore currently
+ running applications.
+ .
+ This package contains the required components for the wayland GNOME 3
+ session, based on the GNOME Shell. It can be started from a display
+ manager such as GDM, and requires 3D acceleration to work properly.
+
+Package: ubuntu-session
+Architecture: all
+Depends: ${misc:Depends},
+         unity-settings-daemon,
+         gnome-session-bin (>= ${binary:Version}),
+         gnome-session-bin (<< ${gnome:NextVersion}),
+         gnome-session-common (= ${binary:Version})
+Conflicts: gnome-session (<< 3.9.90-0ubuntu8),
+           ubuntu-settings (<< 14.04.4)
+Replaces: gnome-session (<< 3.9.90-0ubuntu8),
+          ubuntu-settings (<< 14.04.4)
+Recommends: session-migration
+Provides: x-session-manager
+Description: Ubuntu session
+ This package contains the required components for the standard Ubuntu session,
+ based on Unity. It can be started from a display manager such as LightDM.
+
 Package: gnome-session-bin
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          dbus-x11,
          gsettings-desktop-schemas,
-         upower (>= 0.9.0)
-Conflicts: gnome-session (<< 2.26.1-5)
+         upower (>= 0.9.0),
+Recommends: libpam-systemd [linux-any], consolekit [!linux-any]
+Conflicts: gnome-session (<< 3.9.90-0ubuntu8)
+Breaks: gdm (<< 3.8)
 Description: GNOME Session Manager - Minimal runtime
  The GNOME Session Manager is in charge of starting the core components
  of the GNOME desktop, and applications that should be launched at
