=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,16 @@
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 DEB_CONFIGURE_EXTRA_FLAGS += --localstatedir=/var/lib \
-                             --enable-ipv6 \
-                             --enable-systemd
+                             --enable-ipv6
+
+ifeq (linux,$(DEB_HOST_ARCH_OS))
+	DEB_CONFIGURE_EXTRA_FLAGS += --enable-systemd
+else
+	DEB_CONFIGURE_EXTRA_FLAGS += --disable-systemd
+endif
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
-install/gnome-session::
-	install -m 644 -D debian/gnome-session.user-session.upstart debian/gnome-session/usr/share/upstart/sessions/gnome-session.conf
+install/gnome-session-bin::
+	install -m 644 -D debian/gnome-session-bin.user-session.upstart debian/gnome-session-bin/usr/share/upstart/sessions/gnome-session.conf
+
