## gnome-session 3.16.0

=== debian/changelog ===
gnome-session (3.16.0-1ubuntu2) wily; urgency=medium

  * debian/patches/50_ubuntu_sessions.patch:
    - Drop X-LightDM-DesktopName fields now we have the standard DesktopNames 

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 28 Jul 2015 21:15:35 +1200

gnome-session (3.16.0-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control.in:
      + Recommend session-migration
      + don't depend on xwayland
      + Remove gnome-shell circular dep to ease uprades
    - Split ubuntu-session out of gnome-session.
    - Add upstart user session
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - don't install defaults.list (installed by desktop-file-utils in ubuntu):
      debian/gnome-session-common.dirs and gnome-session-common.install
    - debian/patches/22_support_autostart_delay.patch:
       Bugzilla patch to support adding a delay to autostart apps, using
       a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/50_ubuntu_sessions.patch:
       + Add Ubuntu session
       + gnome-shell.desktop adds --session=gnome now that the "ubuntu" session
         is the default. Use TryExec to test if gnome-shell is installed.
    - debian/patches/51_remove_session_saving_from_gui.patch:
       add GNOME_SESSION_SAVE environment variable for people wanting to
       use the save session still, knowing that it can break your system
       if used unwisely
    - debian/patches/52_xdg_current_desktop.patch:
      Set XDG_CURRENT_DESKTOP inside gnome-session based on a new key
      'DesktopName' in gnome-session .desktop files.
    - debian/patches/53_add_sessionmigration.patch, debian/control:
      recommends and launch the session-migration if present at the start of
      the session. This sync tool is running different session migration
      scripts that can be provided in various desktop packages.
    - debian/patches/95_dbus_request_shutdown.patch: Add "RequestShutdown" and
      "RequestReboot" DBus methods to allow other applications to shutdown or
      reboot the machine via the session manager.
    - debian/patches/103_kill_the_fail_whale.patch: Kill the Fail Whale as it
      tends to be more annoying than helpful
    - debian/gnome-session-bin.user-session.upstart: Disable acceleration check
      when launching a GNOME Flashback (Metacity) session.
    - Split wayland session into gnome-session-wayland
      + control.in: add gnome-session-wayland package and depend on xwayland
      + gnome-session-wayland.install: install wayland session

 -- Jackson Doak <noskcaj@ubuntu.com>  Fri, 05 Jun 2015 20:08:47 +1000

gnome-session (3.16.0-1) unstable; urgency=medium

  * New upstream release.
    - Adds new --disable-acceleration-check option (closes: #771513).
  * Drop 0001-configure.ac-Add-support-for-new-versions-of-systemd.patch,
    applied upstream.
  * Upstream has disabled support for consolekit even on non-systemd
    systems with this release. We follow upstream and do not enable it
    forcefully. Please file a bug if you think this change is wrong.
    - Drop libdbus-glib-1-dev build-dependency, it is now only used by
      consolekit support code.
    - Drop consolekit recommends from gnome-session-bin.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 May 2015 17:34:09 +0300

gnome-session (3.14.0-3ubuntu2) wily; urgency=medium

  * debian/50-ubuntu.conf:
    - Use new [Seat:*] section instead of deprecated [SeatDefaults]
      (LP: #1456449)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 20 May 2015 13:18:12 +1200

gnome-session (3.14.0-3ubuntu1) wily; urgency=low

  * Merge from Debian, Remaining Changes:
    - debian/control.in:
      + Recommend session-migration
      + don't depend on xwayland
      + Remove gnome-shell circular dep to ease uprades
    - Split ubuntu-session out of gnome-session.
    - Add upstart user session
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - don't install defaults.list (installed by desktop-file-utils in ubuntu):
      debian/gnome-session-common.dirs and gnome-session-common.install
    - debian/patches/22_support_autostart_delay.patch:
       Bugzilla patch to support adding a delay to autostart apps, using
       a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/50_ubuntu_sessions.patch:
       + Add Ubuntu session
       + gnome-shell.desktop adds --session=gnome now that the "ubuntu" session
         is the default. Use TryExec to test if gnome-shell is installed.
    - debian/patches/51_remove_session_saving_from_gui.patch:
       add GNOME_SESSION_SAVE environment variable for people wanting to
       use the save session still, knowing that it can break your system
       if used unwisely
    - debian/patches/52_xdg_current_desktop.patch:
      Set XDG_CURRENT_DESKTOP inside gnome-session based on a new key
      'DesktopName' in gnome-session .desktop files.
    - debian/patches/53_add_sessionmigration.patch, debian/control:
      recommends and launch the session-migration if present at the start of
      the session. This sync tool is running different session migration
      scripts that can be provided in various desktop packages.
    - debian/patches/95_dbus_request_shutdown.patch: Add "RequestShutdown" and
      "RequestReboot" DBus methods to allow other applications to shutdown or
      reboot the machine via the session manager.
    - debian/patches/103_kill_the_fail_whale.patch: Kill the Fail Whale as it
      tends to be more annoying than helpful
    - debian/patches/git_add_disable_acceleration_option.patch: Import upstream
      patch to add a --disable_acceleration_check command-line option.

