=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Standards-Version: 3.9.5
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Dmitry Shachnev <mitya57@debian.org>, Michael Biebl <biebl@debian.org>
+Standards-Version: 3.9.6
 Build-Depends: cdbs (>= 0.4.41),
                dh-autoreconf,
                debhelper (>= 8),
@@ -17,7 +17,6 @@
                intltool (>= 0.40.6),
                libglib2.0-dev (>= 2.39.90),
                libgtk-3-dev (>= 2.90.7),
-               libdbus-glib-1-dev (>= 0.76),
                libjson-glib-dev (>= 0.10),
                libgnome-desktop-3-dev (>= 3.9.91),
                libsm-dev,
@@ -33,9 +32,7 @@
                xmlto,
                xsltproc,
                xtrans-dev,
-               libsystemd-login-dev (>= 183) [linux-any],
-               libsystemd-daemon-dev [linux-any],
-               libsystemd-journal-dev [linux-any]
+               libsystemd-dev (>= 209) [linux-any]
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-desktop/gnome-session/ubuntu
 
 Package: gnome-session
@@ -113,9 +110,9 @@
          dbus-x11,
          gsettings-desktop-schemas,
          upower (>= 0.9.0),
-Recommends: libpam-systemd [linux-any], consolekit [!linux-any]
+Recommends: libpam-systemd [linux-any]
 Conflicts: gnome-session (<< 3.9.90-0ubuntu8)
-Breaks: gdm (<< 3.8)
+Breaks: gdm3 (<< 3.8)
 Description: GNOME Session Manager - Minimal runtime
  The GNOME Session Manager is in charge of starting the core components
  of the GNOME desktop, and applications that should be launched at
