## gnome-session 3.18.1.2

=== debian/changelog ===
gnome-session (3.18.1.2-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable.  Remaining changes (LP: #1512914):
    - debian/control.in:
      + Recommend session-migration
      + Remove gnome-shell circular dep to ease uprades
    - Split ubuntu-session out of gnome-session.
    - Split wayland session into gnome-session-wayland
      + control.in: add gnome-session-wayland package and depend on xwayland
      + gnome-session-wayland.install: install wayland session
    - Add upstart user session
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - don't install defaults.list (installed by desktop-file-utils in ubuntu):
      debian/gnome-session-common.dirs and gnome-session-common.install
    - debian/patches/13_display_session_properties.patch: Display
      session-properties as the Startup Applications capplet was removed from
      gnome-control-center, which makes it hard to discover the
      gnome-session-properties tool. (Closes: #683814)
    - debian/patches/22_support_autostart_delay.patch:
       Bugzilla patch to support adding a delay to autostart apps, using
       a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/50_ubuntu_sessions.patch:
       + Add Ubuntu session
       + gnome-shell.desktop adds --session=gnome now that the "ubuntu" session
         is the default. Use TryExec to test if gnome-shell is installed.
    - debian/patches/51_remove_session_saving_from_gui.patch:
       add GNOME_SESSION_SAVE environment variable for people wanting to
       use the save session still, knowing that it can break your system
       if used unwisely
    - debian/patches/53_add_sessionmigration.patch, debian/control:
      recommends and launch the session-migration if present at the start of
      the session. This sync tool is running different session migration
      scripts that can be provided in various desktop packages.
    - debian/patches/95_dbus_request_shutdown.patch: Add "RequestShutdown" and
      "RequestReboot" DBus methods to allow other applications to shutdown or
      reboot the machine via the session manager.
    - debian/patches/103_kill_the_fail_whale.patch: Kill the Fail Whale as it
      tends to be more annoying than helpful
    - debian/patches/revert_remove_gnome_session_properties.patch: Keep the
      session-properties applet for ubuntu sessions

 -- Tim Lunn <tim@feathertop.org>  Thu, 12 Nov 2015 10:32:51 +1100

gnome-session (3.18.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Build-Depends as per configure.ac:
    - Bump libglib2.0-dev to (>= 2.46.0). (Closes: #801736)
    - Bump libgtk-3-dev to (>= 3.18.0).
    - Bump libgnome-desktop-3-dev to (>= 3.18.0).

 -- Michael Biebl <biebl@debian.org>  Wed, 21 Oct 2015 16:23:10 +0200

gnome-session (3.18.0-1) unstable; urgency=medium

  * New upstream release (identical to 3.17.92).
  * Upload to unstable.
  * Drop obsolete Breaks, Conflicts and Replaces from pre-wheezy.
  * Drop obsolete Provides: gnome3-session since there are no more reverse
    dependencies.
  * Update README.Debian, the package for the  metacity/gnome-panel based
    fallback session is called "gnome-session-flashback".

 -- Michael Biebl <biebl@debian.org>  Sun, 11 Oct 2015 19:04:24 +0200

gnome-session (3.17.92-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Sep 2015 16:30:30 +0200
