=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Dmitry Shachnev <mitya57@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Dmitry Shachnev <mitya57@debian.org>, Michael Biebl <biebl@debian.org>
 Standards-Version: 3.9.6
 Build-Depends: cdbs (>= 0.4.41),
                dh-autoreconf,
@@ -15,10 +15,10 @@
                gnome-pkg-tools (>= 0.13),
                gnome-common,
                intltool (>= 0.40.6),
-               libglib2.0-dev (>= 2.39.90),
-               libgtk-3-dev (>= 2.90.7),
+               libglib2.0-dev (>= 2.46.0),
+               libgtk-3-dev (>= 3.18.0),
                libjson-glib-dev (>= 0.10),
-               libgnome-desktop-3-dev (>= 3.9.91),
+               libgnome-desktop-3-dev (>= 3.18.0),
                libsm-dev,
                libice-dev,
                libx11-dev,
@@ -46,14 +46,7 @@
 Suggests: gnome-user-guide,
           desktop-base,
           gnome-keyring
-Replaces: gnome-session-bin (<< 3.0),
-          gnome3-session
-Breaks: bug-buddy (<< 2.20),
-        xserver-xorg (<< 1:7.4),
-        gnome-power-manager (<< 2.28)
-Conflicts: gnome3-session
-Provides: x-session-manager,
-          gnome3-session
+Provides: x-session-manager
 Description: GNOME Session Manager - GNOME 3 session
  The GNOME Session Manager is in charge of starting the core components
  of the GNOME desktop, and applications that should be launched at
@@ -127,9 +120,6 @@
 Package: gnome-session-common
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: gnome-session (<< 3.0),
-          gnome-session-bin (<< 3.0),
-          libgnomevfs2-common (<< 1:2.24.0-3)
 Description: GNOME Session Manager - common files
  The GNOME Session Manager is in charge of starting the core components
  of the GNOME desktop, and applications that should be launched at
