=== debian/rules ===
--- 
+++ 
@@ -22,4 +22,3 @@
 
 install/gnome-session-bin::
 	install -m 644 -D debian/gnome-session-bin.user-session.upstart debian/gnome-session-bin/usr/share/upstart/sessions/gnome-session.conf
-
